> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.shared.tabbar.tabbaritem.md).

# TabBarItem

Namespace: **Wisej.Hybrid.Shared.TabBar**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents an item in the device's tab bar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class TabBarItem
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class TabBarItem
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)TabBarItem()

Initializes a new instance of [TabBarItem](/hybrid/start/api/ui/wisej.hybrid.shared.tabbar.tabbaritem.md).

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)Badge

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Gets or sets the badge value for the given tab.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Enabled

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the tab is enabled.

### ![](/files/CCV9PPenlC1YZvNh1I6R)ImageSource

[String](https://docs.microsoft.com/dotnet/api/system.string): The tab icon source.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Selected

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether the item is selected.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Title

[String](https://docs.microsoft.com/dotnet/api/system.string): The tab title.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/ui/wisej.hybrid.shared.tabbar.tabbaritem.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
